> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get Work Schedule and Holidays

GET https://api.letsdeel.com/rest/time_offs/dailies

Returns holidays, work schedule entries, and time-off dailies for a given date range, scoped to one or more HRIS profile IDs or countries.

 **Token scopes**: `time-off:read`

Reference: https://developer.deel.com/api/reference/endpoints/time-off/get-time-off-dailies

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `start_date` (string, optional) — Start date of non working days date range
- `end_date` (string, optional) — End date of non working days date range
- `hris_profile_ids` (list of string, optional) — HRIS profile ids
- `countries` (list of string, optional) — List of countries to be fetched

## Response

### 200

Successful operation.

- `data` (list of TimeOffsDailiesGetResponsesContentApplicationJsonSchemaDataItems, optional) — List of holiday and work schedule information grouped by HRIS profile, including holidays within the date range, work schedule details, and daily work status

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of TimeOffsDailiesGetResponsesContentApplicationJsonSchemaErrorsItems, optional)
- `request` (TimeOffsDailiesGetResponsesContentApplicationJsonSchemaRequest, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### TimeOffsDailiesGetResponsesContentApplicationJsonSchemaDataItems

- `holidays` (list of TimeOffsDailiesGetResponsesContentApplicationJsonSchemaDataItemsHolidaysItems, required) — List of holidays within the date range
- `work_schedule` (TimeOffsDailiesGetResponsesContentApplicationJsonSchemaDataItemsWorkSchedule, required) — Detail of working hours by week day for an HRIS profile
- `time_off_dailies` (list of TimeOffsDailiesGetResponsesContentApplicationJsonSchemaDataItemsTimeOffDailiesItems, required) — List of days with holiday or work status

### TimeOffsDailiesGetResponsesContentApplicationJsonSchemaErrorsItems

- `path` (string, optional) — The JSON path where input validation failed
- `message` (string, optional) — A description of the returned error

### TimeOffsDailiesGetResponsesContentApplicationJsonSchemaRequest

- `url` (string, optional) — The relative URL of the failed request
- `code` (double, optional) — The code of the source handler which produced the returned error
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `method` (string, optional) — The HTTP method of the failed request
- `source` (string, optional) — The source handler which produced the returned error
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### TimeOffsDailiesGetResponsesContentApplicationJsonSchemaDataItemsHolidaysItems

- `date` (string, required) — Date of the holiday
- `name` (string, required) — Name of the holiday
- `type` (enum, required) — Type of the holiday
  - Allowed values: `MANDATORY`, `OPTIONAL`, `HIDDEN`, `HOLIDAY`, `WORKING_DAY`
- `source` (enum, required, nullable) — Source of creation of the holiday
  - Allowed values: `EXTERNAL`, `DEEL`, `ORGANIZATION_CUSTOM`, `ORGANIZATION_OVERRIDE`, `ORGANIZATION_CONVERT`
- `description` (string, required, nullable) — Description of the holiday
- `is_mandatory` (boolean, required) — Describes if the holiday is mandatory
- `is_every_year` (boolean, required) — Sets if the holiday is a recurring event
- `formatted_date` (string, required) — Formatted 'YYYY-MM-DD' date of the holiday
- `states` (list of string, optional) — List of states where the holiday is celebrated, if empty it is a country holiday
- `country` (string, optional) — The ISO 3166-1 alpha-2 country code.
- `parsed_date` (string, optional) — Parsed date time of the holiday
- `name_variations` (list of string, optional) — Alternative names or labels used to refer to this holiday
- `created_by_profile_id` (double, optional, nullable) — HRIS profile id of the creator of the holiday

### TimeOffsDailiesGetResponsesContentApplicationJsonSchemaDataItemsWorkSchedule

Detail of working hours by week day for an HRIS profile

- `work_week` (TimeOffsDailiesGetResponsesContentApplicationJsonSchemaDataItemsWorkScheduleWorkWeek, optional) — The work week schedule for the HRIS profile
- `hours_per_day` (double, optional) — Working hours per day
- `hris_profile_id` (string, optional) — HRIS profile id

### TimeOffsDailiesGetResponsesContentApplicationJsonSchemaDataItemsTimeOffDailiesItems

- `date` (string, required) — Date of the daily
- `time_off_daily_type` (enum, required) — Type of work status or holiday
  - Allowed values: `HOLIDAY`, `WORKING_DAY`, `NON_WORKING_DAY`

### TimeOffsDailiesGetResponsesContentApplicationJsonSchemaDataItemsWorkScheduleWorkWeek

The work week schedule for the HRIS profile

- `friday` (double, required) — Working hours on friday
- `monday` (double, required) — Working hours on monday
- `sunday` (double, required) — Working hours on sunday
- `tuesday` (double, required) — Working hours on tuesday
- `saturday` (double, required) — Working hours on saturday
- `thursday` (double, required) — Working hours on thursday
- `wednesday` (double, required) — Working hours on wednesday

## Examples

**Response**

```json
{
  "data": [
    {
      "holidays": [
        {
          "date": "2025-01-01T00:00:00.000Z",
          "name": "New Year's Day",
          "type": "MANDATORY",
          "source": "EXTERNAL",
          "description": "New Year's Day global holiday",
          "is_mandatory": true,
          "is_every_year": true,
          "formatted_date": "2025-01-01",
          "states": [
            "CA"
          ],
          "country": "US",
          "parsed_date": "2025-01-01T00:00:00.000+00:00",
          "name_variations": [
            "January 1"
          ],
          "created_by_profile_id": 1234567890
        }
      ],
      "work_schedule": {
        "work_week": {
          "friday": 8,
          "monday": 8,
          "sunday": 0,
          "tuesday": 8,
          "saturday": 0,
          "thursday": 8,
          "wednesday": 8
        },
        "hours_per_day": 8,
        "hris_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
      },
      "time_off_dailies": [
        {
          "date": "2025-01-01",
          "time_off_daily_type": "HOLIDAY"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/time_offs/dailies"

querystring = {"countries":"[\"US\"]","end_date":"2025-02-01","hris_profile_ids":"[\"d290f1ee-6c54-4b01-90e6-d701748f0851\"]","start_date":"2025-01-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/time_offs/dailies?countries=%5B%22US%22%5D&end_date=2025-02-01&hris_profile_ids=%5B%22d290f1ee-6c54-4b01-90e6-d701748f0851%22%5D&start_date=2025-01-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/time_offs/dailies?countries=%5B%22US%22%5D&end_date=2025-02-01&hris_profile_ids=%5B%22d290f1ee-6c54-4b01-90e6-d701748f0851%22%5D&start_date=2025-01-01"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/time_offs/dailies?countries=%5B%22US%22%5D&end_date=2025-02-01&hris_profile_ids=%5B%22d290f1ee-6c54-4b01-90e6-d701748f0851%22%5D&start_date=2025-01-01")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/time_offs/dailies?countries=%5B%22US%22%5D&end_date=2025-02-01&hris_profile_ids=%5B%22d290f1ee-6c54-4b01-90e6-d701748f0851%22%5D&start_date=2025-01-01")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/time_offs/dailies?countries=%5B%22US%22%5D&end_date=2025-02-01&hris_profile_ids=%5B%22d290f1ee-6c54-4b01-90e6-d701748f0851%22%5D&start_date=2025-01-01', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/time_offs/dailies?countries=%5B%22US%22%5D&end_date=2025-02-01&hris_profile_ids=%5B%22d290f1ee-6c54-4b01-90e6-d701748f0851%22%5D&start_date=2025-01-01");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/time_offs/dailies?countries=%5B%22US%22%5D&end_date=2025-02-01&hris_profile_ids=%5B%22d290f1ee-6c54-4b01-90e6-d701748f0851%22%5D&start_date=2025-01-01")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```